Bug 1004160 - [fork][origin_ui_58]Doesn't show diagrams after creating domain and application
[fork][origin_ui_58]Doesn't show diagrams after creating domain and application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 02:38 EDT by Wei Sun
Modified: 2015-05-14 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:46:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
before creating (35.06 KB, image/png)
2013-09-04 02:39 EDT, Wei Sun
no flags Details
after creating (15.16 KB, image/png)
2013-09-04 02:40 EDT, Wei Sun
no flags Details

  None (edit)
Description Wei Sun 2013-09-04 02:38:04 EDT
Description of problem:
Access admin-console/stats page,if don't have domain and don't have any application,there are three diagrams(applications per domain,gears per user,domains owned per user) in this page,but after creating domain and application,the diagrams could not be shown in the page.

Please refer to attachment.

Version-Release number of selected component (if applicable):
fork_ami_origin_ui_58_817

How reproducible:
Always

Steps to Reproduce:
1.Don't create any domain and apps
2.Access admin-console/stats page
3.Create a domain and some apps
4.Access admin-console/stats page again

Actual results:
2.There are three diagrams(applications per domain,gears per user,domains owned per user)
4.The diagrams could not be shown in the page

Expected results:
The diagrams should be shown in the page

Additional info:
Comment 1 Wei Sun 2013-09-04 02:39:08 EDT
Created attachment 793502 [details]
before creating
Comment 2 Wei Sun 2013-09-04 02:40:11 EDT
Created attachment 793504 [details]
after creating
Comment 3 Luke Meyer 2013-09-04 14:03:43 EDT
Should be fixed with fork_ami_origin_ui_58_818
Comment 4 Wei Sun 2013-09-04 23:46:40 EDT
Verified on fork_ami_origin_ui_81_821
After creating domain and application,the diagrams could  be shown in the admin-console/stats page.
Comment 5 openshift-github-bot 2013-09-09 16:18:52 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/85832a7a0ba4fe5ce91047e469c4dd8d31d0db5d
Bug 1004160 - admin console stats graphs fail to load with arg error

Note You need to log in before you can comment on or make changes to this bug.